import request from '@/utils/request'

// 查询平台报价单列表
export function listRelease(query) {
  return request({
    url: '/tuya/supplierRelease/list',
    method: 'get',
    params: query
  })
}

// 查询平台报价单详细
export function getRelease(id) {
  return request({
    url: '/tuya/supplierRelease/' + id,
    method: 'get'
  })
}

// 新增平台报价单
export function addRelease(data) {
  return request({
    url: '/tuya/supplierRelease',
    method: 'post',
    data: data
  })
}

// 修改平台报价单
export function updateRelease(data) {
  return request({
    url: '/tuya/supplierRelease',
    method: 'put',
    data: data
  })
}

// 删除平台报价单
export function delRelease(id) {
  return request({
    url: '/tuya/supplierRelease/' + id,
    method: 'delete'
  })
}
